# Interface methods for submodule: SimpleDataObjectDecorator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DataObjectProxy as _DataObjectProxy


# Interface methods for class: SimpleDataObjectDecorator
class SimpleDataObjectDecoratorProxy(_DataObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def Set(self, val) -> None:
		""""""
		...

	@overload
	def Set(self, val: Sequence[float]) -> None:
		""""""
		...

	@overload
	def Set(self, val: Sequence[int]) -> None:
		""""""
		...

	@overload
	def Set(self, val: bool) -> None:
		""""""
		...

	@overload
	def Set(self, val: float) -> None:
		""""""
		...

	@overload
	def Set(self, val: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def Set(self, val: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def Set(self, val: int) -> None:
		""""""
		...

	@overload
	def Set(self, val: str) -> None:
		""""""
		...

	@overload
	def Get(self):
		""""""
		...

	@overload
	def Get(self) -> Sequence[float]:
		""""""
		...

	@overload
	def Get(self) -> Sequence[int]:
		""""""
		...

	@overload
	def Get(self) -> bool:
		""""""
		...

	@overload
	def Get(self) -> float:
		""""""
		...

	@overload
	def Get(self) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def Get(self) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def Get(self) -> int:
		""""""
		...

	@overload
	def Get(self) -> str:
		""""""
		...

